Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Fri, 14 Apr 2023 20:48:15 +0100

On Fri, Apr 14, 2023 at 8:33 PM Philip Kaludercic <[email-masked]> wrote:

> >> > Here's another solution you may want to consider.  package-install
> >> > in Emacs 29 updates built-ins non-interactively always.  Interactively
> >> > asks the user with a confirmation prompt.  This solution would
> >> > also work.
> >>
> >> What would the confirmation prompt ask the user?
> >
> > "Are you sure you want to install Foo which is [also|now] a built-in
> > package in Emacs 29?"
>
> I feel this is confusing, if a user is not familiar with the way
> built-in packages can be upgraded and are maintained.  Perhaps instead
> of a simple yes-or-no-p, we could use read-multiple-choice to add some
> more background?

Sure, I actually don't know what that does, but whatever you think
is best, I hope the point has gotten across.

João